/*
 * Copyright 2001 Sun Microsystems, Inc.  All Rights Reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 */

/**
 * This file exists just to get the length definition of AwtPalette's
 * custom palette out of the AwtPalette code.  This file should only
 * be included by awt_Palette.cpp.
 */
#ifndef _AWT_CUSTOMPALETTEDEF_H
#define _AWT_CUSTOMPALETTEDEF_H


PALETTEENTRY AwtPalette::customPalette[] = {
    { 0x04, 0x04, 0x04, PC_NOCOLLAPSE },
    { 0x08, 0x08, 0x08, PC_NOCOLLAPSE },
    { 0x0c, 0x0c, 0x0c, PC_NOCOLLAPSE },
    { 0x11, 0x11, 0x11, PC_NOCOLLAPSE },
    { 0x16, 0x16, 0x16, PC_NOCOLLAPSE },
    { 0x1c, 0x1c, 0x1c, PC_NOCOLLAPSE },
    { 0x22, 0x22, 0x22, PC_NOCOLLAPSE },
    { 0x29, 0x29, 0x29, PC_NOCOLLAPSE },
    { 0x55, 0x55, 0x55, PC_NOCOLLAPSE },
    { 0x4d, 0x4d, 0x4d, PC_NOCOLLAPSE },
    { 0x42, 0x42, 0x42, PC_NOCOLLAPSE },
    { 0x39, 0x39, 0x39, PC_NOCOLLAPSE },
    { 0xff, 0x7c, 0x80, PC_NOCOLLAPSE },
    { 0xff, 0x50, 0x50, PC_NOCOLLAPSE },
    { 0xd6, 0x00, 0x93, PC_NOCOLLAPSE },
    { 0xcc, 0xec, 0xff, PC_NOCOLLAPSE },
    { 0xef, 0xd6, 0xc6, PC_NOCOLLAPSE },
    { 0xe7, 0xe7, 0xd6, PC_NOCOLLAPSE },
    { 0xad, 0xa9, 0x90, PC_NOCOLLAPSE },
    { 0x33, 0x00, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0x00, PC_NOCOLLAPSE },
    { 0x00, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0x00, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0x00, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0x00, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0x00, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0x00, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0x00, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0x00, PC_NOCOLLAPSE },
    { 0x00, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0x00, 0x33, PC_NOCOLLAPSE },
    { 0x00, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0x33, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0x33, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0x33, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0x33, PC_NOCOLLAPSE },
    { 0x33, 0xff, 0x33, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0x33, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0x33, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0x33, PC_NOCOLLAPSE },
    { 0xff, 0xff, 0x33, PC_NOCOLLAPSE },
    { 0x00, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0x00, 0x66, PC_NOCOLLAPSE },
    { 0x00, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0x66, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0x66, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0x00, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0x33, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0xff, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0xff, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0x66, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0xff, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0x00, 0x99, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0x00, 0x33, 0x99, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0x99, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0xcc, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0xcc, PC_NOCOLLAPSE },
    { 0x00, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0x99, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0xff, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0x00, 0xcc, PC_NOCOLLAPSE },
    { 0x66, 0x00, 0xff, PC_NOCOLLAPSE },
    { 0x99, 0x00, 0xff, PC_NOCOLLAPSE },
    { 0x00, 0x33, 0xcc, PC_NOCOLLAPSE },
    { 0x33, 0x33, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0x33, 0xff, PC_NOCOLLAPSE },
    { 0x99, 0x33, 0xff, PC_NOCOLLAPSE },
    { 0xcc, 0x33, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0x33, 0xff, PC_NOCOLLAPSE },
    { 0x00, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0x33, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0xcc, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0xcc, PC_NOCOLLAPSE },
    { 0x00, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0x33, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0x99, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0xcc, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0x99, 0xff, PC_NOCOLLAPSE },
    { 0x00, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0x33, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0x99, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0xcc, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0xcc, 0xff, PC_NOCOLLAPSE },
    { 0x33, 0xff, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0xcc, PC_NOCOLLAPSE },
    { 0x99, 0xff, 0xff, PC_NOCOLLAPSE },
    { 0xcc, 0xff, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0xff, 0xff, 0x66, PC_NOCOLLAPSE },
    { 0x66, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0xff, 0x66, 0xff, PC_NOCOLLAPSE },
    { 0x66, 0xff, 0xff, PC_NOCOLLAPSE },
    { 0xa5, 0x00, 0x21, PC_NOCOLLAPSE },
    { 0x5f, 0x5f, 0x5f, PC_NOCOLLAPSE },
    { 0x77, 0x77, 0x77, PC_NOCOLLAPSE },
    { 0x86, 0x86, 0x86, PC_NOCOLLAPSE },
    { 0x96, 0x96, 0x96, PC_NOCOLLAPSE },
    { 0xcb, 0xcb, 0xcb, PC_NOCOLLAPSE },
    { 0xb2, 0xb2, 0xb2, PC_NOCOLLAPSE },
    { 0xd7, 0xd7, 0xd7, PC_NOCOLLAPSE },
    { 0xdd, 0xdd, 0xdd, PC_NOCOLLAPSE },
    { 0xe3, 0xe3, 0xe3, PC_NOCOLLAPSE },
    { 0xea, 0xea, 0xea, PC_NOCOLLAPSE },
    { 0xf1, 0xf1, 0xf1, PC_NOCOLLAPSE },
    { 0xf8, 0xf8, 0xf8, PC_NOCOLLAPSE },
};

#endif _AWT_CUSTOMPALETTEDEF_H
