/*
 * Copyright 2005 Sun Microsystems, Inc.  All Rights Reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 */

/* @test
 * @bug 6215885
 * @summary URLConnection.openConnection NPE if ProxySelector.setDefault is set to null
 */

import java.net.*;
import java.io.*;

public class NullSelector {
    public static void main(String[] args) throws Exception {
        URL url = new URL("http://127.0.0.1/");
        ProxySelector.setDefault(null);
        URLConnection con = url.openConnection();
        con.setConnectTimeout(500);
        try {
            // Will throw a NullPointerException if bug still there
            con.connect();
        } catch (IOException e) {
            // OK, don't care about timeouts, or refused connections.
        }
    }
}
